# dlo

A lightweight (5 KB) Python client to retrieve NBA data from stats.nba.com.

## Installation

```bash
pip install dlo
```

## Dependencies

* requests (required)
* pandas (recommended)

## Usage

The API isn't publicly well-documented. You can find a list of endpoints [here](https://github.com/seemethere/nba_py/wiki/Completed-Work-Log) and [here](https://any-api.com/nba_com/nba_com/docs/API_Description).

```python
from dlo import Data                                # import module

LOCAL = {                                           # set local parameters
    "PlayerID": 1626156,
    "Season": "2018-19",
    "SeasonType": "Regular Season"
}

d = Data(**LOCAL)                                   # create instance of Data class with local parameters
d.endpoint = "playergamelog"                        # set endpoint

data = d.getData()                                  # get data (game log of D'Angelo Russell for 2018-19 Regular Season)
```
